BEGIN YASRA25P


IF ~HappinessLT(Myself,-190)~ YasraenaSplits
SAY ~Divalir awaits, and I sully myself with you? No longer!~ [YASRA132]
IF ~~ DO ~LeaveParty() EscapeArea()~ EXIT
END


IF ~Global("YasraenaJoined","GLOBAL",1)~ THEN BEGIN YasraenaBoot
  SAY ~We must part company then?~ [YASRA133]
  ++ ~No, please don't go anywhere.~ DO ~JoinParty()~ EXIT
  ++ ~Yes, for now. Will you wait here?~ GOTO YasraenaBoot1a
  ++ ~I can travel no longer with a drow. It is too dangerous.~ GOTO YasraenaBoot2a
END

IF ~~ THEN BEGIN YasraenaBoot1a
  SAY ~I cannot. It is too dangerous for a drow to stand thus exposed.~
  =
  ~Divalir awaits, and I go to him. Fare well.~
  IF ~~ THEN DO ~SetGlobal("YasraenaJoined","GLOBAL",0)EscapeArea()~
EXIT
END

IF ~~ THEN BEGIN YasraenaBoot2a
  SAY ~I understand. Thank you for what you have done for me. Divalir awaits, and I go to him now.~
  IF ~~ THEN DO ~SetGlobal("YasraenaJoined","GLOBAL",0)EscapeArea()~
EXIT
END
